#ifndef PCALIID_H
#define PCALIID_H

#include "pHitID.h"

class pCaliID :public pHitID {

public:

    pCaliID(const char *c=0): pHitID(c){};

    void SetHitID(const char *c){
      int *temp =(int *) c;
      _icaplane=*temp++;
      _icastrip=*temp++;
      _icamod=*temp;
    }

    int GetIcaplane(){return _icaplane;}
    int GetIcastrip(){return _icastrip;}
    int GetIcamod(){return _icamod;}
    void SetIcaplane(const int & i){_icaplane=i;}
    void SetIcastrip(const int & i){_icastrip=i;}
    void SetIcamod(const int & i){_icamod=i;}

private:

    int _icaplane;
    int _icastrip;
    int _icamod;
  
};

#endif //PCALIID_H
